For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterOpenAPI SpecStatus
OverviewInquiriesTransactionsRelaysAPI ReferenceChangelog
OverviewInquiriesTransactionsRelaysAPI ReferenceChangelog
  • Getting Started
    • Introduction
    • Quickstart Tutorial
  • API Overview
    • API Keys
    • Authentication
    • Protocol
    • Response Body
    • Idempotence
    • Pagination
    • Rate Limiting
    • Downloading Files
    • API Logs
    • Request IDs
  • Versioning
    • API Changelog
    • Versioning
  • Troubleshooting
    • Error Handling
  • API Reference
    • OpenAPI Specification
    • Cases
    • Connect
    • Documents
    • Inquiries
    • List Items
      • POSTCreate a Browser Fingerprint List Item
      • GETRetrieve a Browser Fingerprint List Item
      • DELArchive a Browser Fingerprint List Item
      • POSTCreate a Country List Item
      • GETRetrieve a Country List Item
      • DELArchive a Country List Item
      • POSTCreate a Device Fingerprint List Item
      • GETRetrieve a Device Fingerprint List Item
      • DELArchive a Device Fingerprint List Item
      • POSTCreate an Email Address List Item
      • GETRetrieve an Email Address List Item
      • DELArchive an Email Address List Item
      • POSTCreate a Field List Item
      • GETRetrieve a Field List Item
      • DELArchive a Field List Item
      • POSTCreate a Geolocation List Item
      • GETRetrieve a Geolocation List Item
      • DELArchive a Geolocation List Item
      • POSTCreate a Government ID Number List Item
      • GETRetrieve a Government ID Number List Item
      • DELArchive a Government ID Number List Item
      • POSTCreate an IP Address List Item
      • GETRetrieve an IP Address List Item
      • DELArchive an IP Address List Item
      • POSTCreate a Name List Item
      • GETRetrieve a Name List Item
      • DELArchive a Name List Item
      • POSTCreate a Phone Number List Item
      • GETRetrieve a Phone Number List Item
      • DELArchive a Phone Number List Item
      • POSTCreate a String List Item
      • GETRetrieve a String List Item
      • DELArchive a String List Item
    • Lists
    • OAuth
    • Reports
    • Transactions
    • Verifications
    • Workflows
  • Webhooks
LogoLogo
Help CenterOpenAPI SpecStatus
API ReferenceList Items

Retrieve a Name List Item

GET
https://api.withpersona.com/api/v1/list-item/names/:list-item-id
GET
/api/v1/list-item/names/:list-item-id
$curl https://api.withpersona.com/api/v1/list-item/names/list-item-id \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "id": "lin_soqGRWaUXZct3pCRbjRaXFqz",
4 "type": "list-item/name",
5 "attributes": {
6 "archived-at": null,
7 "created-at": "2020-09-18T18:07:53.000Z",
8 "match-count": 0,
9 "name-first": "Joe",
10 "name-last": "Imposter",
11 "redacted-at": null,
12 "status": "pending",
13 "updated-at": "2020-09-18T18:07:53.000Z"
14 },
15 "relationships": {
16 "creator": {}
17 }
18 }
19}
Retrieves the details of an existing name List Item.
Was this page helpful?
Previous

Archive a Name List Item

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

list-item-idstringRequired
ID of list item to archive.

Headers

Key-InflectionenumOptional
Determines casing for the API response.
Allowed values:
Idempotency-KeystringOptional
Ensures the request is idempotent.
Persona-VersionenumOptional
Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).

Query parameters

includestringOptional
A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details.
fieldsmap from strings to stringsOptional
Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.

Response

This endpoint returns a List Item object.
dataobject
A Name List Item

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error

Server API version. More info on versioning can be found here.

A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details.

Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details.